summaryrefslogtreecommitdiffstats
path: root/dev-util/biew
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
commitca9627e70852f6b2e835660df870fe3ab405882d (patch)
tree0a008b1d5b16fa0679a195ed7b5662c7891f591c /dev-util/biew
downloaddarklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.gz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.bz2
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.xz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.zip
Initial import
Diffstat (limited to 'dev-util/biew')
-rw-r--r--dev-util/biew/Manifest5
-rw-r--r--dev-util/biew/biew-5.6.2-r1.ebuild67
-rw-r--r--dev-util/biew/biew-6.1.0.ebuild57
-rw-r--r--dev-util/biew/files/biew-562-lvalue-casts.patch152
4 files changed, 281 insertions, 0 deletions
diff --git a/dev-util/biew/Manifest b/dev-util/biew/Manifest
new file mode 100644
index 0000000..d268acc
--- /dev/null
+++ b/dev-util/biew/Manifest
@@ -0,0 +1,5 @@
+AUX biew-562-lvalue-casts.patch 5531 RMD160 fd994fa1c4104023b1644a5a8cb53adbafe4b7cf SHA1 b579bbfc6fb8e3a6d8e572e6dc5b16caf7597415 SHA256 1a9090cd036ee0c32d4e36a8db6fd10238e6011d0daf579041a3079912dad5c3
+DIST biew-610-src.tar.bz2 860517 RMD160 c728c8e165c2e16edcc4c25ddef063379b32049d SHA1 332b45580cdee134ee42c48bec652fcba96cd99a SHA256 2e85f03c908dd6ec832461fbfbc79169a33f4caccf48c8fe60cbd29f5fb06d17
+DIST biew562.tar.bz2 594367 RMD160 413f2c72a70056adbebd5e79d541201d6e3b27cb SHA1 44435c0815a59d38c9a6c74d09c0f495e71e23fe SHA256 82263fdd9f9854a9326889b8d4e138c0dba3f08460922d4683f659873313e46a
+EBUILD biew-5.6.2-r1.ebuild 1610 RMD160 97f1694e40d21b58b8cf5b9f6863c58947d99f8f SHA1 ffcf4b2ee462e6761c077da62d6a1cc9be2683a5 SHA256 20e1495142497964cfc2ed77abe8fc5407a598487b66330763d382f34bb1ac87
+EBUILD biew-6.1.0.ebuild 1450 RMD160 a12e08b72d92186911f360b64eb3a3412d3e995b SHA1 191919e6abe1246b70572f550d67fd6a913360f9 SHA256 b524e3659118795f8bc408a06e76e5ebc63aee56f44072e1aa843d8ceb7b7fb3
diff --git a/dev-util/biew/biew-5.6.2-r1.ebuild b/dev-util/biew/biew-5.6.2-r1.ebuild
new file mode 100644
index 0000000..34681c2
--- /dev/null
+++ b/dev-util/biew/biew-5.6.2-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/biew/biew-5.6.2.ebuild,v 1.6 2006/08/13 10:58:43 spock Exp $
+
+inherit flag-o-matic
+IUSE="slang ncurses"
+
+DESCRIPTION="A multiplatform portable viewer of binary files with built-in editor in binary, hexadecimal and disassembler modes."
+HOMEPAGE="http://biew.sourceforge.net/"
+SRC_URI="mirror://sourceforge/biew/${PN}${PV//./}.tar.bz2"
+
+SLOT="0"
+KEYWORDS="x86 amd64"
+LICENSE="GPL-2"
+
+DEPEND="ncurses? ( >=sys-libs/ncurses-5.3 )
+ slang? ( <sys-libs/slang-2.0.0 )"
+S="${WORKDIR}/${PN}-${PV//./}"
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+ epatch ${FILESDIR}/biew-562-lvalue-casts.patch
+
+ sed -i "s/USE_MOUSE=.*/USE_MOUSE=y/" makefile
+ sed -i 's:/usr/local:/usr:' biewlib/sysdep/generic/unix/os_dep.c
+ sed -i "s/CFLAGS += -O2 -fomit-frame-pointer/CFLAGS +=/" makefile.inc
+ sed -i 's/bool/__bool/g' plugins/bin/ne.c
+# sed -i "s/TARGET_OS=.*/TARGET_OS=linux/" makefile
+
+ # disable inline assembly for non-x86 platforms
+ use x86 || sed -i "s/TARGET_PLATFORM=.*/TARGET_PLATFORM=generic/" makefile
+}
+
+src_compile() {
+ cd ${S}
+
+ local scrnlib
+
+ if use ncurses ; then
+ scrnlib="ncurses"
+ elif use slang ; then
+ scrnlib="slang"
+ else
+ scrnlib="vt100"
+ fi
+
+ filter-flags -fPIC
+
+ emake HOST_CFLAGS="${CFLAGS}" \
+ TARGET_SCREEN_LIB=${scrnlib} || die
+}
+
+src_install() {
+ dobin biew
+ dodoc doc/*.txt
+
+ insinto /usr/lib/biew
+ doins bin_rc/biew.hlp
+ doins bin_rc/skn/standard.skn
+
+ insinto /usr/lib/biew/skn
+ doins bin_rc/skn/*
+
+ insinto /usr/lib/biew/xlt
+ doins bin_rc/xlt/*
+}
diff --git a/dev-util/biew/biew-6.1.0.ebuild b/dev-util/biew/biew-6.1.0.ebuild
new file mode 100644
index 0000000..7c31eb0
--- /dev/null
+++ b/dev-util/biew/biew-6.1.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/biew/biew-6.1.0.ebuild,v 1.1 2010/02/21 09:46:24 patrick Exp $
+
+inherit eutils toolchain-funcs flag-o-matic
+
+DESCRIPTION="A portable viewer of binary files, hexadecimal and disassembler modes."
+HOMEPAGE="http://biew.sourceforge.net"
+SRC_URI="mirror://sourceforge/project/beye/biew/${PV}/${PN}-${PV//./}-src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="gpm"
+
+DEPEND="gpm? ( sys-libs/gpm )"
+
+RDEPEND="gpm? (
+ x86? ( sys-libs/gpm )
+ amd64? ( app-emulation/emul-linux-x86-baselibs )
+ )"
+# biew build only compiles 32-bit binary on amd64, and 32-bit libgpm is in
+# app-emulation/emul-linux-x86-baselibs
+
+S=${WORKDIR}/${PN}-${PV//./}
+
+src_compile() {
+ local enable_gpm
+
+ if use gpm ; then
+ enable_gpm=yes
+ else
+ enable_gpm=no
+ fi
+ export _gpm=${enable_gpm}
+
+ append-flags -D_GNU_SOURCE
+
+ econf --cc="$(tc-getCC)" --ld="$(tc-getCC)" \
+ --ar="$(tc-getAR) -rcu" --ranlib="$(tc-getRANLIB)" \
+ --enable-debug
+ emake HOST_CFLAGS="${CFLAGS}" HOST_LDFLAGS="${LDFLAGS}" \
+ || die "make failed"
+ for i in doc/*.ru doc/file_id.diz doc/biew_ru.txt doc/biew_en.txt
+ do
+ if iconv -f cp866 -t utf-8 "$i" > "$i.conv"
+ then
+ mv "$i.conv" "$i"
+ fi
+ done
+}
+
+src_install() {
+ make install DESTDIR="${D}"
+ doman doc/biew.1
+ dodoc doc/*.txt doc/*.en doc/*.ru doc/file_id.diz
+}
diff --git a/dev-util/biew/files/biew-562-lvalue-casts.patch b/dev-util/biew/files/biew-562-lvalue-casts.patch
new file mode 100644
index 0000000..d3ade95
--- /dev/null
+++ b/dev-util/biew/files/biew-562-lvalue-casts.patch
@@ -0,0 +1,152 @@
+diff -Naurp biew-562-orig/biewlib/file_ini.c biew-562/biewlib/file_ini.c
+--- biew-562-orig/biewlib/file_ini.c 2006-08-12 21:56:49.000000000 +0200
++++ biew-562/biewlib/file_ini.c 2006-08-13 12:01:32.000000000 +0200
+@@ -1295,7 +1295,7 @@ static tBool __NEAR__ __FASTCALL__ __add
+ void __HUGE__ *found;
+ ini_cache __HUGE__ *it;
+ ini_cache ic;
+- (const char *)ic.item = section;
++ ic.item = section;
+ ic.flags = 0;
+ if(!(found =la_Find((linearArray *)opening->cache,&ic,__full_compare_cache)))
+ {
+@@ -1325,7 +1325,7 @@ static tBool __NEAR__ __FASTCALL__ __add
+ {
+ do_subsect:
+ it = (ini_cache __HUGE__ *)found;
+- (const char *)ic.item = subsection;
++ ic.item = subsection;
+ if(!(found=la_Find(it->v.leaf,&ic,__full_compare_cache)))
+ {
+ ic.item = PMalloc(strlen(subsection)+1);
+@@ -1354,7 +1354,7 @@ static tBool __NEAR__ __FASTCALL__ __add
+ {
+ do_item:
+ it = (ini_cache __HUGE__ *)found;
+- (const char *)ic.item = item;
++ ic.item = item;
+ ic.flags = IC_STRING;
+ if(!(found=la_Find(it->v.leaf,&ic,__full_compare_cache)))
+ {
+@@ -1589,15 +1589,15 @@ unsigned __FASTCALL__ iniReadProfileStri
+ ini_cache ic;
+ void __HUGE__ *found,__HUGE__ *foundi,__HUGE__ *foundv;
+ ini_cache __HUGE__ *fi;
+- (const char *)ic.item = section;
++ ic.item = section;
+ ic.flags = 0;
+ if((found=la_Find(ini->cache,&ic,__full_compare_cache))!=NULL)
+ {
+- (const char *)ic.item=subsection;
++ ic.item=subsection;
+ fi = (ini_cache __HUGE__ *)found;
+ if((foundi=la_Find(fi->v.leaf,&ic,__full_compare_cache))!=NULL)
+ {
+- (const char *)ic.item = _item;
++ ic.item = _item;
+ ic.flags = IC_STRING;
+ fi = (ini_cache __HUGE__ *)foundi;
+ if((foundv=la_Find(fi->v.leaf,&ic,__full_compare_cache))!=NULL)
+diff -Naurp biew-562-orig/biewlib/sysdep/ia16/cmn_ix86.c biew-562/biewlib/sysdep/ia16/cmn_ix86.c
+--- biew-562-orig/biewlib/sysdep/ia16/cmn_ix86.c 2006-08-12 21:56:49.000000000 +0200
++++ biew-562/biewlib/sysdep/ia16/cmn_ix86.c 2006-08-13 12:01:32.000000000 +0200
+@@ -47,7 +47,7 @@ static unsigned long __NEAR__ __FASTCALL
+ ctrl_arr = c_arr;
+ /* align pointer on 16-byte boundary */
+
+- if((tUInt32)ctrl_arr & 15) ((tUInt32)ctrl_arr) += 16-((tUInt32)ctrl_arr&15);
++ if((tUInt32)ctrl_arr & 15) ctrl_arr += 16-((tUInt32)ctrl_arr&15);
+
+ memset(ctrl_arr,0,sizeof(ctrl_arr));
+ if(time_interval)
+diff -Naurp biew-562-orig/biewlib/sysdep/ia32/aclib_template.c biew-562/biewlib/sysdep/ia32/aclib_template.c
+--- biew-562-orig/biewlib/sysdep/ia32/aclib_template.c 2006-08-12 21:56:49.000000000 +0200
++++ biew-562/biewlib/sysdep/ia32/aclib_template.c 2006-08-13 12:03:54.000000000 +0200
+@@ -159,8 +159,8 @@ static void * RENAME(fast_memcpy)(void *
+ "movntps %%xmm2, 32(%1)\n"
+ "movntps %%xmm3, 48(%1)\n"
+ :: "r" (from), "r" (to) : "memory");
+- ((const unsigned char *)from)+=64;
+- ((unsigned char *)to)+=64;
++ from += 64;
++ to += 64;
+ }
+ else
+ /*
+@@ -181,8 +181,8 @@ static void * RENAME(fast_memcpy)(void *
+ "movntps %%xmm2, 32(%1)\n"
+ "movntps %%xmm3, 48(%1)\n"
+ :: "r" (from), "r" (to) : "memory");
+- ((const unsigned char *)from)+=64;
+- ((unsigned char *)to)+=64;
++ from += 64;
++ to+=64;
+ }
+ #else
+ // Align destination at BLOCK_SIZE boundary
+@@ -209,8 +209,8 @@ static void * RENAME(fast_memcpy)(void *
+ MOVNTQ" %%mm6, 48(%1)\n"
+ MOVNTQ" %%mm7, 56(%1)\n"
+ :: "r" (from), "r" (to) : "memory");
+- ((const unsigned char *)from)+=64;
+- ((unsigned char *)to)+=64;
++ from+=64;
++ to+=64;
+ }
+
+ // Pure Assembly cuz gcc is a bit unpredictable ;)
+@@ -297,8 +297,8 @@ static void * RENAME(fast_memcpy)(void *
+ MOVNTQ" %%mm6, 48(%1)\n"
+ MOVNTQ" %%mm7, 56(%1)\n"
+ :: "r" (from), "r" (to) : "memory");
+- ((const unsigned char *)from)+=64;
+- ((unsigned char *)to)+=64;
++ from+=64;
++ to+=64;
+ }
+
+ #endif /* Have SSE */
+@@ -367,7 +367,7 @@ static void * RENAME(fast_memset)(void *
+ "movntps %%xmm0, 96(%0)\n"
+ "movntps %%xmm0, 112(%0)\n"
+ :: "r" (to) : "memory");
+- ((unsigned char *)to)+=128;
++ to+=128;
+ }
+ #else
+ __asm__ __volatile__(
+@@ -393,7 +393,7 @@ static void * RENAME(fast_memset)(void *
+ MOVNTQ" %%mm0, 112(%0)\n"
+ MOVNTQ" %%mm0, 120(%0)\n"
+ :: "r" (to) : "memory");
+- ((unsigned char *)to)+=128;
++ to+=128;
+ }
+ #endif /* Have SSE */
+ #ifdef HAVE_MMX2
+diff -Naurp biew-562-orig/biewlib/tw_class.c biew-562/biewlib/tw_class.c
+--- biew-562-orig/biewlib/tw_class.c 2006-08-12 21:56:50.000000000 +0200
++++ biew-562/biewlib/tw_class.c 2006-08-13 12:01:32.000000000 +0200
+@@ -71,6 +71,6 @@ void __FASTCALL__ twcDestroyClassSet(voi
+ TwClass * __FASTCALL__ twcFindClass(const char *name)
+ {
+ TwClass key;
+- (const char *)(key.name) = name;
++ key.name = name;
+ return (TwClass *)la_Find(class_set,&key, comp_class);
+ }
+diff -Naurp biew-562-orig/biewlib/twin.c biew-562/biewlib/twin.c
+--- biew-562-orig/biewlib/twin.c 2006-08-12 21:56:50.000000000 +0200
++++ biew-562/biewlib/twin.c 2006-08-13 12:01:32.000000000 +0200
+@@ -1891,9 +1891,9 @@ int __FASTCALL__ twPutS(const char *str)
+ strcpy(__nls,str);
+ __nls_OemToOsdep((unsigned char *)__nls,len);
+ }
+- else (const char *)__nls = str;
++ else __nls = str;
+ }
+- else (const char *)__nls = str;
++ else __nls = str;
+ __nls_ptr = __nls;
+ __oem_ptr = str;
+ vidx = active->cur_x + active->cur_y*active->wwidth;